
Redmine - Feature #3683

Delete my own issues

2009-07-28 12:00 - Nick Kokkos

Status: Closed Start date: 2009-07-28

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I would like to know if it is possible to delete my own issues. So far as I have seen, if you are granted permission on a project to edit

issues, then you have the ability to also delete issues coming from other users.

Related issues:

Related to Redmine - Feature #5195: edit_own_issues and delete_own_issues per... New 2010-03-26

History

#1 - 2009-07-28 23:02 - Thomas Pihl

We wouldnt really like it if users could delete their issues. If they could, we'd run into situations when customer reports problems, we start working on

them and when the customer realize they screwed up, they'd just delete the issue and we stand here with no documentations and perhaps lots of

work done.

Better they just close the issue with some comment and we'd all have records of what happend.

/T

#2 - 2009-07-31 10:06 - Nick Kokkos

- Status changed from New to Resolved

Thomas Pihl wrote:

We wouldnt really like it if users could delete their issues. If they could, we'd run into situations when customer reports problems, we start

working on them and when the customer realize they screwed up, they'd just delete the issue and we stand here with no documentations and

perhaps lots of work done.

Better they just close the issue with some comment and we'd all have records of what happend.

/T

 Well now that I think more about it, you're right. I realized it is important to have a history on an issue whether that issue was resolved or was rejected.

Thank you for the clarification.

I will change the status of this issue to "resolved"

#3 - 2010-08-20 12:01 - Azamat Hackimov

- Status changed from Resolved to Closed

#4 - 2020-01-08 10:32 - Go MAEDA

- Related to Feature #5195: edit_own_issues and delete_own_issues permissions added
